import { QueryList } from '@angular/core';
import { Subject } from 'rxjs';
import { PopoutItemComponent } from './popoutItem';
export declare class PopoutListService<T> {
    select: Subject<T>;
    disabled: boolean;
    _showOptions: boolean;
    focusIndex: number;
    readonly showOptions: boolean;
    customItems: QueryList<PopoutItemComponent<T>>;
    listItems: QueryList<PopoutItemComponent<T>>;
    open(): void;
    close(): void;
    isFocused(item: PopoutItemComponent<T>): boolean;
    focus(item: PopoutItemComponent<T>): void;
    blur(): void;
    focusNext(): void;
    focusPrevious(): void;
    selectCurrent(): void;
    readonly current: PopoutItemComponent<T>;
}
